<?php
include '../includes/db.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $email = $_POST['email'] ?? '';
    $password = $_POST['password'] ?? '';

    $query = "SELECT * FROM Drops WHERE Email = ? AND Password = ?";
    $stmt = $connection->prepare($query);
    $stmt->bind_param("ss", $email, $password);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $row = $result->fetch_assoc();
        if ($row['Status'] == 1) {
            echo json_encode(["status" => "error", "message" => "Account is banned"]);
        } else {
            echo json_encode(["status" => "success", "message" => "Login successful", "DropsID" => $row['id']]);
        }
    } else {
        echo json_encode(["status" => "error", "message" => "Invalid email or password"]);
    }
} else {
    // Handle preflight request for CORS
    if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {
        // Send response with CORS headers to handle preflight
        exit(0);
    }

    echo json_encode(["status" => "error", "message" => "Invalid request method"]);
}
?>
