<?php
require 'includes/db.php'; // Include your database connection file

if (isset($_POST['dropId'])) {
    $dropId = intval($_POST['dropId']);

    // Update orders to mark them as viewed
    $query = "UPDATE orders SET Viewed = 1 WHERE checkpoint = ? AND Viewed = 0";
    $stmt = $connection->prepare($query);
    $stmt->bind_param("i", $dropId);

    if ($stmt->execute()) {
        echo "Orders marked as viewed";
    } else {
        echo "Failed to mark orders as viewed";
    }

    $stmt->close();
}
$connection->close();
?>
