<?php
include '../includes/db.php';

$response = array();
$sender_id = isset($_GET['sender_id']) ? $_GET['sender_id'] : '';

$query = "SELECT id, phone_number, sender_id, Status, created_at FROM orders WHERE sender_id = '$sender_id' ORDER BY id DESC";

$result = mysqli_query($connection, $query);

if (mysqli_num_rows($result) > 0) {
    $response['orders'] = array();
    while ($row = mysqli_fetch_assoc($result)) {
        // Translate status codes to readable status
        switch ($row['Status']) {
            case 0:
                $status_text = 'In Request';
                break;
            case 1:
                $status_text = 'In Stock';
                break;
            case 2:
                $status_text = 'Picked-Up';
                break;
            default:
                $status_text = 'Unknown';
                break;
        }
        
        $order = array(
            'id' => $row['id'] ?? '',
            'phone_number' => $row['phone_number'] ?? '',
            'sender_id' => $row['sender_id'] ?? '',
            'status_text' => $status_text,
            'created_at' => $row['created_at'] ?? ''
        );
        
        array_push($response['orders'], $order);
    }
    $response['success'] = 1;
} else {
    $response['success'] = 0;
    $response['message'] = "No orders found";
}

echo json_encode($response);
mysqli_close($connection);
?>
