<?php
include 'includes/db.php'; // Include your database configuration file

if (isset($_GET['order_id'])) {
    $orderId = intval($_GET['order_id']);
    $stmt = $connection->prepare("SELECT file_name FROM order_images WHERE order_id = ?");
    $stmt->bind_param("i", $orderId);
    $stmt->execute();
    $result = $stmt->get_result();

    $images = [];
    while ($row = $result->fetch_assoc()) {
        $images[] = $row;
    }

    $stmt->close();
    echo json_encode($images);
}
?>
